Page MenuHomePhabricator

Add option to Special:Undelete to display deletion log integrated into page history
Open, LowPublic

Description

On Special:Undelete, the [un]deletion log is shown separately from page history. While that's useful for quickly identifying who deleted or restored a page and when, it often makes it very difficult to get an accurate picture of a complicated page history. It would be extremely useful to provide an option to show [un]deletion events in their actual historical context, i.e. mixed in with the page history.


Version: unspecified
Severity: enhancement
See Also:
T14083: Special:Log should be able to list pages at revision level as well

Details

Reference
bz60736

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:04 AM
bzimport set Reference to bz60736.
bzimport added a subscriber: Unknown Object (MLST).
Scott created this task.Feb 2 2014, 2:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2015, 12:15 AM
awight added a subscriber: awight.Jul 22 2015, 12:15 AM
awight removed a subscriber: awight.Mar 21 2019, 4:06 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptSat, Mar 28, 4:15 PM
Scott reopened this task as Open.Thu, Apr 2, 11:31 AM
Scott added a comment.Thu, Apr 2, 11:34 AM

I've unmarked this story as being a duplicate of T72239 because that is different, specifically requesting "Add null revisions for page delete and restore events". This task as I envisioned it would be resolved by using database queries and sorting to produce a merged view of existing logs.